Bug 480362 - Openoffice.org Calc crashes opening an .xls
Openoffice.org Calc crashes opening an .xls
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 11:51 EST by Javier Alejandro Castro
Modified: 2009-01-29 18:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 18:10:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XLS causing the problem (261.00 KB, application/vnd.ms-excel)
2009-01-16 11:51 EST, Javier Alejandro Castro
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 92666 None None None Never
OpenOffice.org 95286 None None None Never
OpenOffice.org 98240 None None None Never

  None (edit)
Description Javier Alejandro Castro 2009-01-16 11:51:37 EST
Created attachment 329228 [details]
XLS causing the problem

Description of problem:

Crash opening a .xls in Calc

Version-Release number of selected component (if applicable):

3.0.1-15.1

How reproducible:

Always

Steps to Reproduce:
1. Try to open the attached .xls
  
Actual results:

Crash

Expected results:

Open .xls

Additional info:

Info produced by OO crash:

(I)    x.org loaded video driver of...
(WW) AllowEmptyInput is on, devices using drivers 'kbd' or 'mouse' will be disabled.
(II) Loading /usr/lib64/xorg/modules/drivers//intel_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: el paquete openoffice.org-kde no está instalado
(V)    libgcj version is: libgcj-4.3.2-7-x86_64
(VI)   kernel is: Linux 2.6.27.9-159.fc10.x86_64 #1 SMP Tue Dec 16 14:47:52 EST 2008 x86_64 x86_64 x86_64
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.1-15.1.fc10-x86_64
(VIII) accessibility is: false
(IX)   fedora release is: Fedora release 10 (Cambridge)
(X)    LANG is: es_AR.UTF-8
...start free space details ...
S.ficheros         Bloques de 1K   Usado    Dispon Uso% Montado en
/dev/sda1            147402244 135365768   5949776  96% /
/dev/sda1            147402244 135365768   5949776  96% /
...end free space details ...
...start (default) java details ...
java version "1.6.0_0"
IcedTea6 1.4 (fedora-7.b12.fc10-x86_64) Runtime Environment (build 1.6.0_0-b12)
OpenJDK 64-Bit Server VM (build 10.0-b19, mixed mode)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x3fb9c2b: 0x1eb8a8: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x37c2b
0x3fba843: 0x1eb8a8: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x38843
0x3327a32f90: 0x16bb40: /lib64/libc.so.6 + 0x32f90
0x7fc7859fc640: ????????
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fffe79ff000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x000000000036b000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x0000000000941000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x0000000000bdf000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x0000000000dff000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00000000041c1000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x0000000001073000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x0000000001290000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x000000000149b000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x000000000170f000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x0000000001958000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x0000000001bf1000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x0000000001e22000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x000000001f7a8000)
	librt.so.1 => /lib64/librt.so.1 (0x0000000002025000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x000000000222e000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x000000000244e000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x000000000268c000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00000000028cf000)
	libvclplug_genlx.so => /usr/lib64/openoffice.org/basis3.0/program/libvclplug_genlx.so (0x0000000002bb0000)
	libvcllx.so => /usr/lib64/openoffice.org/basis3.0/program/libvcllx.so (0x0000000002e45000)
	libpsplx.so => /usr/lib64/openoffice.org/basis3.0/program/libpsplx.so (0x0000000003443000)
	libsotlx.so => /usr/lib64/openoffice.org/basis3.0/program/libsotlx.so (0x000000000373b000)
	libutllx.so => /usr/lib64/openoffice.org/basis3.0/program/libutllx.so (0x000000000399f000)
	libtllx.so => /usr/lib64/openoffice.org/basis3.0/program/libtllx.so (0x0000000003c3a000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0x00000000043ee000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x0000000003ee9000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x0000000004743000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0x00000000049ed000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libvos3gcc3.so (0x0000000004c1b000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0x0000000004e42000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x0000000005239000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x0000000005440000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x0000000055244000)
	libdl.so.2 => /lib64/libdl.so.2 (0x000000000574b000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x000000000594f000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x0000000005b6b000)
	libm.so.6 => /lib64/libm.so.6 (0x0000000005e75000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00000000060fa000)
	libc.so.6 => /lib64/libc.so.6 (0x0000000006311000)
	libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x0000000006683000)
	libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x0000000006885000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x0000000006a87000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x0000000006c8c000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x0000000006eb1000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00000000070ba000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00000000072bc000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x0000000061c09000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00000000074c5000)
	libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x00000000076e1000)
	libz.so.1 => /lib64/libz.so.1 (0x0000000007925000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x0000000007b3a000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003327600000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x0000000007d63000)
	libcap.so.2 => /lib64/libcap.so.2 (0x0000000007f7d000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x0000000008181000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x0000000008389000)
	libi18nisolang1gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0x00000000085a4000)
	libbasegfxlx.so => /usr/lib64/openoffice.org/basis3.0/program/libbasegfxlx.so (0x00000000087a9000)
	libicuuc.so.40 => /usr/lib64/libicuuc.so.40 (0x0000000012286000)
	libicule.so.40 => /usr/lib64/libicule.so.40 (0x0000000008a30000)
	libjvmaccessgcc3.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x0000000008c65000)
	libuno_salhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x0000000008e6c000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x0000000009070000)
	libxcb-xlib.so.0 => /usr/lib64/libxcb-xlib.so.0 (0x00000000092a8000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00000000094a9000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00000000096c4000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x00000000098c6000)
	libicudata.so.40 => /usr/lib64/libicudata.so.40 (0x00007ffadea33000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00000000dc7cf000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2009-01-16 12:09:01 EST
Confirmed
Comment 2 Caolan McNamara 2009-01-19 08:25:22 EST
Add a workaround for now, will be in >= 3.0.1-15.2
Comment 3 Fedora Update System 2009-01-29 18:09:57 EST
openoffice.org-3.0.1-15.2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.